#pragma once
#include <string>
#include <vector>

class DropshellScriptManager {
public:
    DropshellScriptManager();
    void ensureExists() const;
    void addToolEntry(const std::string& toolName, const std::string& toolDir);
    void removeToolEntry(const std::string& toolName);
    void addAutocomplete(const std::string& toolName);
    void removeAutocomplete(const std::string& toolName);
    void createSymlinks(const std::string& toolName, const std::string& toolDir);
    void removeSymlinks(const std::string& toolName);
}; 